<template>
  <div id="app">
    <ContentProcessor
      :abstract="page.meta.abstract"
      :layout="page.appearance.layout"
      :subtitle="page.meta.subtitle"
      :title="page.title"
    >
      <template
        v-for="(contentSection, contentSectionName) in content"
        :slot="`content-${contentSectionName}`"
      >
        <ContentElement
          v-for="contentElement in contentSection"
          :key="contentElement.id"
          :data="contentElement"
        />
      </template>
    </ContentProcessor>
  </div>
</template>

<script>
import pageData from './fixtures/pageData.json'

import ContentElement from './components/ContentElement'
import ContentProcessor from './components/ContentProcessor'

export default {
  name: 'App',

  components: {
    ContentElement,
    ContentProcessor
  },

  data () {
    return {
      content: pageData.content,
      page: pageData.page
    }
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
